### Function

# GObject signal_connect_closure

#### Declaration [src]

    gulong
    g_signal_connect_closure (
      GObject* instance,
      const gchar* detailed_signal,
      GClosure* closure,
      gboolean after
    )

#### Description [src]

Connects a closure to a signal for a particular object.

If `closure` is a floating reference (see g_closure_sink()), this function takes ownership of `closure`.

This function cannot fail. If the given signal name doesn’t exist, a critical warning is emitted. No validation is performed on the ‘detail’ string when specified in `detailed_signal`, other than a non-empty check.

Refer to the signals documentation for more details.

#### Parameters

`instance`

  Type: `GObject`

  The instance to connect to.

  The data is owned by the caller of the function.

`detailed_signal`

  Type: `const gchar*`

  A string of the form “signal-name::detail”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`closure`

  Type: `GClosure`

  The closure to connect.

  The data is owned by the caller of the function.

`after`

  Type: `gboolean`

  Whether the handler should be called before or after the default handler of the signal.

#### Return value

Type: `gulong`

The handler ID (always greater than 0).